<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Billing Data on Enterprise</title>
    <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/</link>
    <description>Recent content in Billing Data on Enterprise</description>
    <generator>Hugo -- gohugo.io</generator><atom:link href="https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Get All</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetall/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetall/</guid>
      <description>Get All (Billing Data)#Gets a list of all invoices. Once a list of all invoices has been retrieved, specific details about invoices can be retrieved using Get Invoice, Get Invoice Detail or Get Invoice Summary.
 GET /v1.0/billingdata
 Example#This request will get a list of all invoices.
Request#GET https://api.au.myreports.cloud/api/v1.0/billingdata HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;page_size&amp;#34;: 4, &amp;#34;data&amp;#34;: [ { &amp;#34;tenantId&amp;#34;:&amp;#34;{RESELLER_TENANT_ID}&amp;#34;, &amp;#34;invoiceid&amp;#34;:&amp;#34;{INVOICE_ID}&amp;#34;, &amp;#34;invoiceNumber&amp;#34;:&amp;#34;{INVOICE_NUMBER}&amp;#34;, &amp;#34;customerName&amp;#34;:&amp;#34;Reseller 1&amp;#34;, &amp;#34;billingPeriodStart&amp;#34;:&amp;#34;2020-01-01T00:00:00.</description>
    </item>
    
    <item>
      <title>Get Invoice</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoice/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoice/</guid>
      <description>Get Invoice#Gets a specific invoice.
 GET /v1.0/billingdata/{INVOICE_ID}
 Example#This request will get all the child Customer tenants for this Reseller Account.
Request#GET https://api.au.myreports.cloud/api/v1.0/billingdata/{INVOICE_ID} HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;tenantId&amp;#34;:&amp;#34;{RESELLER_TENANT_ID}&amp;#34; ,&amp;#34;invoiceid&amp;#34;:&amp;#34;{INVOICE_ID}&amp;#34; ,&amp;#34;invoiceNumber&amp;#34;:&amp;#34;{INVOICE_NUMBER}&amp;#34; ,&amp;#34;customerName&amp;#34;:&amp;#34;Reseller 1&amp;#34; ,&amp;#34;billingPeriodStart&amp;#34;:&amp;#34;2020-01-01T00:00:00.000+00:00&amp;#34; ,&amp;#34;billingPeriodEnd&amp;#34;:&amp;#34;2020-01-31T23:59:59.999+00:00&amp;#34; ,&amp;#34;invoiceValue&amp;#34;:0.0 }, &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.2890319Z&amp;#34; } Errors#Unauthorized#When the token is not provided, invalid or expired HTTP/1.</description>
    </item>
    
    <item>
      <title>Get Invoice Detail</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoicedetail/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoicedetail/</guid>
      <description>Get Invoice Detail#Get a detailed breakdown of all items being invoiced for a specific invoice. A ZIP file is returned from this query which contains a detailed JSON file and a simplified CSV file. Each file contains a record of every transaction in the invoice.
 GET /v1.0/billingdata/{INVOICE_ID}/detail
 Example#This request will retrieve a breakdown of items for a specific invoice id.
Request#GET https://api.</description>
    </item>
    
    <item>
      <title>Get Invoice Summary</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoicesummary/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/billing/billinggetinvoicesummary/</guid>
      <description>Get Invoice Summary#Get a PDF copy of a specific ~.Dimensions.~ invoice.
 GET /v1.0/billingdata/{INVOICE_ID}/summary
 Example#This request will provide a stream of a specific PDF invoice.
Request#GET https://api.au.myreports.cloud/api/v1.0/billingdata/{INVOICE_ID}/summary HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/octet-stream; charset=utf-8 Content-Length: xx { &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.2890319Z&amp;#34; } Errors#Unauthorized#When the token is not provided, invalid or expired HTTP/1.</description>
    </item>
    
  </channel>
</rss>
